package com.huimv.production.autoGetData.repo;

import com.huimv.production.autoGetData.entity.IndexParameter;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IndexParameterRepository extends JpaRepository<IndexParameter, Integer>, JpaSpecificationExecutor<IndexParameter> {
	
	@Query(nativeQuery = true ,value = "select * from index_parameter where name like %?1% limit ?2 , ?3")
    List<IndexParameter> findAll(String name, Integer startPage, Integer pageSize);
}
